linux: 2.6.24-30.97 -proposed tracker

Bug #897225 reported by Herton R. Krzesinski on 2011-11-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.24-30.97 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 28. November 2011 13:35 UTC
kernel-stable-Certification-testing-end:Monday, 28. November 2011 13:45 UTC
kernel-stable-Prepare-package-end:Tuesday, 29. November 2011 01:15 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 29. November 2011 01:15 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 29. November 2011 18:15 UTC
kernel-stable-Verification-testing-start:Tuesday, 29. November 2011 18:15 UTC
kernel-stable-Security-signoff-start:Wednesday, 30. November 2011 18:31 UTC
kernel-stable-Verification-testing-end:Wednesday, 30. November 2011 18:30 UTC
kernel-stable-Regression-testing-start:Wednesday, 30. November 2011 18:30 UTC
kernel-stable-Security-signoff-end:Wednesday, 30. November 2011 23:00 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 06. December 2011 21:31 UTC
kernel-stable-Regression-testing-end:Tuesday, 06. December 2011 21:31 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 08. December 2011 05:18 UTC
kernel-stable-Promote-to-updates-end:Thursday, 08. December 2011 05:18 UTC

CVE References

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: hardy
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-11-28
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-11-29
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-29
description: updated
Herton R. Krzesinski (herton) wrote :

No SRUs, only CVEs in this update, releasing for testing.

Brad Figg (brad-figg) on 2011-11-30
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-11-30
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-12-06
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-30.97

---------------
linux (2.6.24-30.97) hardy-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #897225

  [Upstream Kernel Changes]

  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 28 Nov 2011 11:39:07 -0200

Changed in linux (Ubuntu Hardy):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers